samtools-quickcheck(1)

NAME
samtools-quickcheck - a rapid sanity check on input files

SYNOPSIS

samtools quickcheck [options] in.sam|in.bam|in.cram [ ... ]

DESCRIPTION

Quickly check that input files appear to be intact. Checks that beginning of the file contains a valid header (all formats) containing at least one target sequence and then seeks to the end of the file and checks that an end-of-file (EOF) is present and intact (BAM and CRAM only).

Data in the middle of the file is not read since that would be much more time consuming, so please note that this command will not detect internal corruption, but is useful for testing that files are not truncated before performing more intensive tasks on them.

This command will exit with a non-zero exit code if any input files don't have a valid header or are missing an EOF block. Otherwise it will exit successfully (with a zero exit code).

OPTIONS

-v  Verbose output: will additionally print the names of all input files that don't pass the check to stdout. Multiple -v options will cause additional messages regarding check results to be printed to stderr.

-q  Quiet mode: disables warning messages on stderr about files that fail. If both -q and -v options are used then the appropriate level of -v takes precedence.

-u  Expect unmapped input data, so do not require targets in the header.

AUTHOR

Written by Josh Randall from the Sanger Institute.

SEE ALSO
samtools(1)

Samtools website: <http://www.htslib.org/>